Package net.shibboleth.idp.cas.ticket.serialization.impl

# Class ProxyTicketSerializer

java.lang.Object
net.shibboleth.idp.cas.ticket.serialization.impl.AbstractTicketSerializer<ProxyTicket>
net.shibboleth.idp.cas.ticket.serialization.impl.ProxyTicketSerializer

All Implemented Interfaces:
  `Component`, `InitializableComponent`, `StorageSerializer<ProxyTicket>`

public class ProxyTicketSerializer extends AbstractTicketSerializer<ProxyTicket>
Proxy ticket storage serializer.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`PGTID_FIELD`
PGT ID field name.

## Constructor Summary

Constructors
Constructor
Description
`ProxyTicketSerializer()`

## Method Summary

Modifier and Type
Method
Description
`protected ProxyTicket`
`createTicket(JsonObject o, String id, String service, Instant expiry)`
Create a ticket.
`protected void`
`serializeInternal(JsonGenerator generator, ProxyTicket ticket)`
Serialize a ticket.

### Methods inherited from class net.shibboleth.idp.cas.ticket.serialization.impl.AbstractTicketSerializer

`deserialize, initialize, isInitialized, serialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PGTID_FIELD

@Nonnull private static final String PGTID_FIELD
PGT ID field name.

See Also:
  - Constant Field Values

## Constructor Details

### ProxyTicketSerializer

public ProxyTicketSerializer()

## Method Details

### serializeInternal

protected void serializeInternal(@Nonnull JsonGenerator generator, @Nonnull ProxyTicket ticket)
Serialize a ticket.

Specified by:
  `serializeInternal` in class `AbstractTicketSerializer<ProxyTicket>`
Parameters:
  `generator` - JSON generator
  `ticket` - ticket

### createTicket

@Nonnull protected ProxyTicket createTicket(@Nonnull JsonObject o, @Nonnull String id, @Nonnull String service, @Nonnull Instant expiry)
Create a ticket.

Specified by:
  `createTicket` in class `AbstractTicketSerializer<ProxyTicket>`
Parameters:
  `o` - JSON object
  `id` - ticket ID
  `service` - service that requested the ticket
  `expiry` - expiration instant
Returns:
  the newly created ticket